TIMESPEC_GETRES(3)

NAME
timespec_getres - get clock resolution

LIBRARY
libc

SYNOPSIS
#include <time.h>
int
timespec_getres(struct timespec *ts, int base);

DESCRIPTION
If ts is non-null and base refers to a supported time base as described in timespec_get(3), the timespec_getres function fills in the structure pointed to by ts to reflect the resolution of that time base.

RETURN VALUES
The timespec_getres function returns the value of base if successful and zero otherwise.

SEE ALSO
clock_getres(2), timespec_get(3)

STANDARDS
The timespec_getres function conforms to isoC-2023.

HISTORY
This interface first appeared in FreeBSD 14.

AUTHORS
The timespec_getres function and this manual page were written by Dag-Erling Smørgrav <des@FreeBSD.org>.